Get Businesses by Account

http
GET https://services.leadconnectorhq.com/businesses/

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
locationIdstringYes5DP4iH6HLkQsiKESj6rh
limitstringNo100
skipstringNo10

Responses

200 - Successful response
  • businesses (object[], required): Business Response

    • id (string, required): Business Id Example: 63771dcac1116f0e21de8e12

    • name (string, required): Business Name Example: Microsoft

    • phone (string): phone number

    • email (string): email Example: abc@microsoft.com

    • website (string): website Example: microsoft.com

    • address (string): address

    • city (string): city

    • description (string): description

    • state (string): state

    • postalCode (string): postal code

    • country (string): country Example: united states

    • updatedBy (object): updated By

    • locationId (string, required): locaitonId

    • createdBy (object): Created By

    • createdAt (string): Creation Time

    • updatedAt (string): Last updation time

json
{
  "businesses": [
    {
      "id": "63771dcac1116f0e21de8e12",
      "name": "Microsoft",
      "phone": "string",
      "email": "abc@microsoft.com",
      "website": "microsoft.com",
      "address": "string",
      "city": "string",
      "description": "string",
      "state": "string",
      "postalCode": "string",
      "country": "united states",
      "locationId": "string",
      "createdAt": "2024-01-15T10:30:00Z",
      "updatedAt": "2024-01-15T10:30:00Z"
    }
  ]
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/businesses/' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?